Mailinglist Archive: opensuse-security-announce (28 mails)

< Previous Next >
[security-announce] SUSE-SU-2015:1490-1: important: Live patch for the Linux Kernel
SUSE Security Update: Live patch for the Linux Kernel
______________________________________________________________________________

Announcement ID: SUSE-SU-2015:1490-1
Rating: important
References: #939044 #939270 #939273 #939276
Cross-References: CVE-2015-1805 CVE-2015-4700 CVE-2015-5364
CVE-2015-5366
Affected Products:
SUSE Linux Enterprise Live Patching 12
______________________________________________________________________________

An update that fixes four vulnerabilities is now available.

Description:


This update contains a kernel live patch for the 3.12.43-52.6 SUSE Linux
Enterprise Server 12 Kernel, fixing following security issues.

- CVE-2015-5364/CVE-2015-5366: Two denial of service attacks via a flood
of UDP packets with invalid checksums were fixed that could be used by
remote attackers to delay execution. (bsc#939276)

- CVE-2015-1805: The (1) pipe_read and (2) pipe_write implementations in
fs/pipe.c in the Linux kernel did not properly consider the side effects
of failed __copy_to_user_inatomic and __copy_from_user_inatomic calls,
which allowed local users to cause a denial of service (system crash)
or possibly gain privileges via a crafted application, aka an "I/O
vector array overrun." (bsc#939270)

- CVE-2015-4700: A BPF Jit optimization flaw could allow local users to
panic the kernel. (bsc#939273)


Patch Instructions:

To install this SUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

- SUSE Linux Enterprise Live Patching 12:

zypper in -t patch SUSE-SLE-Live-Patching-12-2015-488=1

To bring your system up-to-date, use "zypper patch".


Package List:

- SUSE Linux Enterprise Live Patching 12 (x86_64):

kgraft-patch-3_12_43-52_6-default-2-6.1
kgraft-patch-3_12_43-52_6-xen-2-6.1


References:

https://www.suse.com/security/cve/CVE-2015-1805.html
https://www.suse.com/security/cve/CVE-2015-4700.html
https://www.suse.com/security/cve/CVE-2015-5364.html
https://www.suse.com/security/cve/CVE-2015-5366.html
https://bugzilla.suse.com/939044
https://bugzilla.suse.com/939270
https://bugzilla.suse.com/939273
https://bugzilla.suse.com/939276

--
To unsubscribe, e-mail: opensuse-security-announce+unsubscribe@xxxxxxxxxxxx
For additional commands, e-mail: opensuse-security-announce+help@xxxxxxxxxxxx

< Previous Next >
This Thread
  • No further messages